@echo off

type init.js > hashcut.js

set jsfiles=model ldt-serializer segmentapi-serializer contentapi-serializer mashupcore editor mashupplayer mediaplayer

FOR %%f IN (%jsfiles%) DO (type %%f.js >> hashcut.js)

copy hashcut.js ..\..\src\hashcut\static\hashcut\js

copy common.js ..\..\src\hashcut\static\hashcut\js

copy ..\css\*.css ..\..\src\hashcut\static\hashcut\bpi\css

copy ..\css\*.css ..\..\src\hashcut\static\hashcut\iri\css

echo Hashcut.js compiled successfully!
